import 'package:flutter/material.dart';

class KPrimaryButton extends StatelessWidget {
  final String label;
  final Color? labelColor;
  final Color? progressColor;
  final bool isBusy;
  final VoidCallback onPressed;
  final double? labelSize;

  const KPrimaryButton({
    Key? key,
    required this.label,
    required this.isBusy,
    required this.onPressed,
    this.labelColor = Colors.black,
    this.progressColor = Colors.red,
    this.labelSize = 20.0,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ElevatedButton(
        child: isBusy ? CircularProgressIndicator(color: progressColor,) : Text(label, style: TextStyle(color: labelColor, fontSize: labelSize),),
        style: ElevatedButton.styleFrom(shape: const StadiumBorder(), primary:  Colors.red),
        onPressed: isBusy ? null : onPressed);
  }
}
